contracts / Cash / State

# State

`data class State : OwnableState`

A state representing a cash claim against some party

### Constructors

<init> | `State(deposit: PartyAndReference, amount: Amount, owner: PublicKey)` A state representing a cash claim against some party

### Properties

amount | `val amount: Amount`
contract | `val contract: Cash` Contract by which the state belongs
deposit | `val deposit: PartyAndReference` Where the underlying currency backing this ledger entry can be found (propagated)
owner | `val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Functions

toString | `fun toString(): String`
withNewOwner | `fun withNewOwner(newOwner: PublicKey): <ERROR CLASS>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone